/* Depends on cookies.js */
/* sheets.js; Deven Blake 2021 */
/* @license magnet:?xt=urn:btih:5ac446d35272cc2e4e85e4325b146d0b7ca8f50c&dn=unlicense.txt Unlicense */

/* sets the sheet to the sheet in the cookie, if the user saved their
 * preferences */
window.initializesheets = function() {
	var sheet; 
	if((sheet = window.getCookie('sheet')) != '')
		window.setStyling(sheet);
};

/* fetches the current styling value */
window.getStyling = function(){
	return document.getElementById('styling').getAttribute('href');
};

/* sets the stylesheet to the file at `sheet` */
window.setStyling = function(sheet){
	document.getElementById('styling').setAttribute('href', sheet);
	return sheet;
};

/* @license-end */
